org.modeshape.jcr.api.index

## Enum IndexDefinition.IndexKind

- java.lang.Object
- - java.lang.Enum<IndexDefinition.IndexKind>
  - - org.modeshape.jcr.api.index.IndexDefinition.IndexKind

- All Implemented Interfaces:
    Serializable, Comparable<IndexDefinition.IndexKind>
  Enclosing interface:
    IndexDefinition

      public static enum IndexDefinition.IndexKind
      extends Enum<IndexDefinition.IndexKind>

  The kind of indexes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUPLICATES`
    `ENUMERATED`
    `FULLTEXTSEARCH`
    `NODETYPE`
    `UNIQUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexDefinition.IndexKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexDefinition.IndexKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DUPLICATES

          public static final IndexDefinition.IndexKind DUPLICATES

    - #### UNIQUE

          public static final IndexDefinition.IndexKind UNIQUE

    - #### ENUMERATED

          public static final IndexDefinition.IndexKind ENUMERATED

    - #### FULLTEXTSEARCH

          public static final IndexDefinition.IndexKind FULLTEXTSEARCH

    - #### NODETYPE

          public static final IndexDefinition.IndexKind NODETYPE

  - ### Method Detail

    - #### values

          public static IndexDefinition.IndexKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexDefinition.IndexKind c : IndexDefinition.IndexKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexDefinition.IndexKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.